# Return the cPanel account's primary domain

This function returns the cPanel account's main domain.

Endpoint: GET /DomainInfo/primary_domain
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `hide_temporary_domains` (integer)
    Whether to hide temporary domains from the response.

* 1 — Return null if the main domain is a temporary domain.
* 0 — Return the main domain if it's a temporary domain.
    Enum: 1, 0

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "primary_domain"

  - `module` (string)
    The name of the module called.
    Example: "DomainInfo"

  - `result` (object)

  - `result.data` (object)

  - `result.data.primary_domain` (string,null)
    The cPanel account's main domain.
 Note: 
This return's value will be null if the hide_temporary_domains parameter is set to 1 and the main domain is a temporary domain.
    Example: "example.com"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


